Subject: Re: [PATCH net-next v2 00/12] net: ethtool: let ops locked drivers run without rtnl_lock

From: Jakub Kicinski <[email-masked]>
Date: Fri, 5 Jun 2026 17:09:52 -0700

On Fri, 5 Jun 2026 15:48:48 -0700 Stanislav Fomichev wrote:
> netdev_ops_lock_dereference name trips me a bit (_compat suffix would've been
> more obvious), but I do agree with the reasoning about needing 'a' lock..

Guess I hate long lines more than I hate inconsistencies.

This:

	something = netdev_lock_ops_compat_dereference(&dev->something, dev);

is uncomfortably close to 80 columns for me.

I think the existing naming is as good as we'll get..
If y'all disagree I can respin. I'll be sad but I'll respin :)